CREATE TABLE cse_group_validation_rules (
    VALIDATION_RULE_ID       NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    GROUP_ID                 NUMBER(18, 0)    NOT NULL,
    VALIDATION_CODE          VARCHAR2(120)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    VALIDATION_RULE_ID       NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    GROUP_ID                 NUMBER(18, 0)    NOT NULL,
    VALIDATION_CODE          VARCHAR2(120)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_cse_group_validation_rules PRIMARY KEY (VALIDATION_RULE_ID, VALIDATION_RULE_ID)
);
